package com.zhentao.system.domain;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @TableName course
 */
//@TableName(value ="course")
@Data
public class Course implements Serializable {
    private Integer courseId;

    private String courseName;

    private String courseDescription;

    private Integer courseCategory;

    private Integer instructorId;

    private String courseCover;

    private BigDecimal coursePrice;

    private Integer courseDuration;

    private Date createTime;

    private Date updateTime;

    private Object courseStatus;

    private Integer studyNum;

    private Integer isFree;

    public Integer getCourseId() {
        return courseId;
    }

    public void setCourseId(Integer courseId) {
        this.courseId = courseId;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getCourseDescription() {
        return courseDescription;
    }

    public void setCourseDescription(String courseDescription) {
        this.courseDescription = courseDescription;
    }

    public Integer getCourseCategory() {
        return courseCategory;
    }

    public void setCourseCategory(Integer courseCategory) {
        this.courseCategory = courseCategory;
    }

    public Integer getInstructorId() {
        return instructorId;
    }

    public void setInstructorId(Integer instructorId) {
        this.instructorId = instructorId;
    }

    public String getCourseCover() {
        return courseCover;
    }

    public void setCourseCover(String courseCover) {
        this.courseCover = courseCover;
    }

    public BigDecimal getCoursePrice() {
        return coursePrice;
    }

    public void setCoursePrice(BigDecimal coursePrice) {
        this.coursePrice = coursePrice;
    }

    public Integer getCourseDuration() {
        return courseDuration;
    }

    public void setCourseDuration(Integer courseDuration) {
        this.courseDuration = courseDuration;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Object getCourseStatus() {
        return courseStatus;
    }

    public void setCourseStatus(Object courseStatus) {
        this.courseStatus = courseStatus;
    }

    public Integer getStudyNum() {
        return studyNum;
    }

    public void setStudyNum(Integer studyNum) {
        this.studyNum = studyNum;
    }

    public Integer getIsFree() {
        return isFree;
    }

    public void setIsFree(Integer isFree) {
        this.isFree = isFree;
    }

    public Integer getRecommendIndex() {
        return recommendIndex;
    }

    public void setRecommendIndex(Integer recommendIndex) {
        this.recommendIndex = recommendIndex;
    }

    public String getCourseOutline() {
        return courseOutline;
    }

    public void setCourseOutline(String courseOutline) {
        this.courseOutline = courseOutline;
    }

    public CourseCategory getCategory() {
        return category;
    }

    public void setCategory(CourseCategory category) {
        this.category = category;
    }

    public Course(Integer courseId, String courseName, String courseDescription, Integer courseCategory, Integer instructorId, String courseCover, BigDecimal coursePrice, Integer courseDuration, Date createTime, Date updateTime, Object courseStatus, Integer studyNum, Integer isFree, Integer recommendIndex, String courseOutline, CourseCategory category) {
        this.courseId = courseId;
        this.courseName = courseName;
        this.courseDescription = courseDescription;
        this.courseCategory = courseCategory;
        this.instructorId = instructorId;
        this.courseCover = courseCover;
        this.coursePrice = coursePrice;
        this.courseDuration = courseDuration;
        this.createTime = createTime;
        this.updateTime = updateTime;
        this.courseStatus = courseStatus;
        this.studyNum = studyNum;
        this.isFree = isFree;
        this.recommendIndex = recommendIndex;
        this.courseOutline = courseOutline;
        this.category = category;
    }

    private Integer recommendIndex;

    private String courseOutline;

    private CourseCategory category;

    private static final long serialVersionUID = 1L;
}
